Last Comment Bug 615950 - Port FF4 Sync UI changes after initial set included in bug 576970
: Port FF4 Sync UI changes after initial set included in bug 576970
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Sync UI (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.7
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-01 11:56 PST by Jens Hatlak (:InvisibleSmiley)
Modified: 2011-11-04 15:54 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
-


Attachments

Description Jens Hatlak (:InvisibleSmiley) 2010-12-01 11:56:06 PST
Reviews in bug 576970 have progressed enough that we need to make a cut and move any further changes to a follow-up--this bug.

For starters:
- Bug 602715 - Sync UI: Only mention enabled engines in client wipe confirmation dialog
- Bug 612699 - Sync UI: Update to simplify crypto

Unlike with bug 576970, where I added only bugs as dependencies that I had already ported, any FF4 Sync UI changes that landed after the set included in bug 576970 should be added as dependencies here.
Comment 1 Jens Hatlak (:InvisibleSmiley) 2010-12-21 13:46:37 PST
Removing bug 612584 from depends list since we'll be saving as xhtml from the start.
Comment 2 Jens Hatlak (:InvisibleSmiley) 2011-01-05 10:06:06 PST
Removing bug 619995 from depends list since it's now fixed in the setup dialog patch over at bug 618709.
Comment 3 Jens Hatlak (:InvisibleSmiley) 2011-01-12 13:31:06 PST
Adding bug 526445, though we might not want all changes (but e.g. the richlistbox might help with larger lists of engines).
Comment 4 Jens Hatlak (:InvisibleSmiley) 2011-01-28 13:34:41 PST
When porting bug 626949 we need to take care not to run into bug 629305.

BTW I think this meta bug should not block anything. Individual porting bugs (which need to be filed as required) should block instead. This bug should just serve as a tracker for full FF4 fix compatibility, whether we achieve it for 2.1 or not.
Comment 5 Jens Hatlak (:InvisibleSmiley) 2011-02-06 14:48:05 PST
Removing bug 595725 from the list since I already covered the popup check in initUI from the start and the other part is unnecessary since it's inside alltabsPopupShowing which is only ever called from the initUI code which adds an event listener to the very same popup.
Comment 6 Ian Neal 2011-03-08 05:59:09 PST
Blocking final on this as really a tracking bug.
Comment 7 Justin Wood (:Callek) (Away until Aug 29) 2011-03-31 09:56:22 PDT
All dependancies are fixed, this is not assigned to anyone, and no explanation for the final+ to ? change.

If this needs to block b3 you have around 24 hours to say why, and push for it.
Comment 8 Jens Hatlak (:InvisibleSmiley) 2011-03-31 16:32:12 PDT
(In reply to comment #7)
> All dependancies are fixed

Well sure, these are mostly Firefox bugs which have not been ported yet. ;-)

> this is not assigned to anyone

Makes no difference since it's a meta and anything related to Sync gets done solely by me anyway.

> and no explanation for the final+ to ? change.

I was probably acting on an old version of the page (before IanN set final+).

> If this needs to block b3 you have around 24 hours to say why, and push for it.

No need to block b3, and no sense to block on a meta bug at all. All is fine.
Comment 9 Justin Wood (:Callek) (Away until Aug 29) 2011-08-09 01:20:53 PDT
Jens, is this worth dropping from relnotes?

(RESOLVING since its a meta bug that no longer has any deps)
Comment 10 Jens Hatlak (:InvisibleSmiley) 2011-08-09 02:04:41 PDT
Callek, comments 0 and 8 clearly state that the dependencies of this bug (except bug 576970) are all FF bugs. It would be cleaner if someone took the time to file SM bugs for all those of course, but I currently lack the time to go through all of those.
Comment 11 Justin Wood (:Callek) (Away until Aug 29) 2011-08-09 02:19:51 PDT
(In reply to Jens Hatlak (:InvisibleSmiley) from comment #10)
> Callek, comments 0 and 8 clearly state that the dependencies of this bug
> (except bug 576970) are all FF bugs.

O whops, read too fast; sorry.
Comment 12 Jens Hatlak (:InvisibleSmiley) 2011-11-04 15:54:35 PDT
Done! :-)

Note You need to log in before you can comment on or make changes to this bug.